Index: trunk/cli/authors.ml
===================================================================
--- trunk/cli/authors.ml	(revision 68)
+++ trunk/cli/authors.ml	(revision 69)
@@ -19,4 +19,4 @@
       `P "List author names" ]
   in
-  let info = Cmd.info "authors" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "authors" ~doc ~man in
   Cmd.v info authors_t
Index: trunk/cli/convert.ml
===================================================================
--- trunk/cli/convert.ml	(revision 68)
+++ trunk/cli/convert.ml	(revision 69)
@@ -93,4 +93,4 @@
       `P "Run `txt index` first." ]
   in
-  let info = Cmd.info "convert" ~version: "%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "convert" ~doc ~man in
   Cmd.v info convert_t
Index: trunk/cli/edit.ml
===================================================================
--- trunk/cli/edit.ml	(revision 68)
+++ trunk/cli/edit.ml	(revision 69)
@@ -19,4 +19,4 @@
       `P "EDITOR - Default editor name" ]
   in
-  let info = Cmd.info "edit" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "edit" ~doc ~man in
   Cmd.v info edit_t
Index: trunk/cli/file.ml
===================================================================
--- trunk/cli/file.ml	(revision 68)
+++ trunk/cli/file.ml	(revision 69)
@@ -20,4 +20,4 @@
       `P "Use it to create sub-repositories for sharing or converting" ]
   in
-  let info = Cmd.info "file" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "file" ~doc ~man in
   Cmd.v info file_t
Index: trunk/cli/index.ml
===================================================================
--- trunk/cli/index.ml	(revision 68)
+++ trunk/cli/index.ml	(revision 69)
@@ -88,4 +88,4 @@
       `S Manpage.s_see_also;
       `P "MessagePack format. https://msgpack.org" ] in
-  let info = Cmd.info "index" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "index" ~doc ~man in
   Cmd.v info index_t
Index: trunk/cli/last.ml
===================================================================
--- trunk/cli/last.ml	(revision 68)
+++ trunk/cli/last.ml	(revision 69)
@@ -32,4 +32,4 @@
       `P "Print the filename of most recent text" ]
   in
-  let info = Cmd.info "last" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "last" ~doc ~man in
   Cmd.v info last_t
Index: trunk/cli/listing.ml
===================================================================
--- trunk/cli/listing.ml	(revision 68)
+++ trunk/cli/listing.ml	(revision 69)
@@ -41,4 +41,4 @@
       `P "If -R is used, list header information for texts found in subdirectories, too." ]
   in
-  let info = Cmd.info "list" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "list" ~doc ~man in
   Cmd.v info listing_t
Index: trunk/cli/new.ml
===================================================================
--- trunk/cli/new.ml	(revision 68)
+++ trunk/cli/new.ml	(revision 69)
@@ -24,9 +24,9 @@
   let man = [
       `S Manpage.s_description;
-      `P "Create a new article, with title 'Draft' when none provided";
+      `P "Create a new article";
       `S Manpage.s_environment;
       `P "USER - The login name of the user, used if the Authors field is blank";
       `P "EDITOR - Default editor name" ]
   in
-  let info = Cmd.info "new" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "new" ~doc ~man in
   Cmd.v info new_t
Index: trunk/cli/peers.ml
===================================================================
--- trunk/cli/peers.ml	(revision 68)
+++ trunk/cli/peers.ml	(revision 69)
@@ -39,4 +39,4 @@
       `P "List current peers and associated information" ]
   in
-  let info = Cmd.info "peers" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "peers" ~doc ~man in
   Cmd.v info peers_t
Index: trunk/cli/pull.ml
===================================================================
--- trunk/cli/pull.ml	(revision 68)
+++ trunk/cli/pull.ml	(revision 69)
@@ -152,4 +152,4 @@
       `P "Pull texts from known repositories." ]
   in
-  let info = Cmd.info "pull" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "pull" ~doc ~man in
   Cmd.v info pull_t
Index: trunk/cli/recent.ml
===================================================================
--- trunk/cli/recent.ml	(revision 68)
+++ trunk/cli/recent.ml	(revision 69)
@@ -20,4 +20,4 @@
       `P "If -R is used, list header information for texts found in subdirectories, too, along with their filepaths" ]
   in
-  let info = Cmd.info "recent" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "recent" ~doc ~man in
   Cmd.v info recent_t
Index: trunk/cli/topics.ml
===================================================================
--- trunk/cli/topics.ml	(revision 68)
+++ trunk/cli/topics.ml	(revision 69)
@@ -18,4 +18,4 @@
       `P "List of topics" ]
   in
-  let info = Cmd.info "topics" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "topics" ~doc ~man in
   Cmd.v info topics_t
Index: trunk/cli/unfile.ml
===================================================================
--- trunk/cli/unfile.ml	(revision 68)
+++ trunk/cli/unfile.ml	(revision 69)
@@ -18,4 +18,4 @@
       `P "Unfile texts in parameter from directories in parameter, by removing hardlinks" ]
   in
-  let info = Cmd.info "unfile" ~version:"%%VERSION%%" ~doc ~man in
+  let info = Cmd.info "unfile" ~doc ~man in
   Cmd.v info unfile_t