Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 76)
+++ /trunk/Makefile	(revision 77)
@@ -2,5 +2,4 @@
 MACHINE=`uname -m`
 DATE=`date -r _build/default/cmd/txt/txt.exe +%Y%m%d`
-COMMIT=`git rev-parse --short HEAD`
 PREFIX=/usr/local
 
@@ -20,5 +19,5 @@
 	@cp _build/default/cmd/txt/txt.exe txt.exe
 	@strip txt.exe
-	@tar czvf "kosuzu-${OS}-${MACHINE}-${DATE}-${COMMIT}" txt.exe readme.txt
+	@tar czvf "kosuzu-${OS}-${MACHINE}-${DATE}" txt.exe LICENSE README.md
 	@rm txt.exe
 
Index: /trunk/README.md
===================================================================
--- /trunk/README.md	(revision 76)
+++ /trunk/README.md	(revision 77)
@@ -2,4 +2,12 @@
 Text archival and exchange, named after [Kosuzu Motoori](https://en.touhouwiki.net/wiki/Kosuzu_Motoori) from [Forbidden Scrollery](https://en.touhouwiki.net/wiki/Forbidden_Scrollery).
 
-## Contact
-* [Mailing list](mailto:kosuzu-dev@chaotic.ninja)
+Homepage: https://suzunaan.yakumo.dev/kosuzu/
+
+## Differences from Logarion
+* Uses the known latest Cmdliner revision, instead of relying on an older revision
+* A `txt_init` program in the spirit of the old subcommand from years past
+* Due to the current maintainer's decision, this project isn't hosted on Git anymore (but there is a [mirror](https://git.yakumo.dev/yakumo.izuru/kosuzu) available)
+
+## To-do
+* Support [geomyidae](gopher://bitreich.org/1/scm/geomyidae) `.gph` indexes, for now those can be generated manually somewhat
+* Support tab-separated value gophermaps for any other gopher daemon
Index: unk/TODO.md
===================================================================
--- /trunk/TODO.md	(revision 76)
+++ 	(revision )
@@ -1,3 +1,0 @@
-# To-do
-* Support [geomyidae](gopher://bitreich.org/1/scm/geomyidae) `.gph` indexes, for now those can be generated manually somewhat
-* Support tab-separated value gophermaps for any other gopher daemon
Index: /trunk/cmd/txt/txt.ml
===================================================================
--- /trunk/cmd/txt/txt.ml	(revision 76)
+++ /trunk/cmd/txt/txt.ml	(revision 77)
@@ -24,7 +24,5 @@
       `S Manpage.s_authors;
       `P "orbifx <mailto:fox@orbitalfox.eu>";
-      `P "Izuru Yakumo <mailto:yakumo.izuru@chaotic.ninja>";
-      `S Manpage.s_bugs;
-      `P "Please report them at <mailto:kosuzu-dev@chaotic.ninja>";
+      `P "Izuru Yakumo <mailto:eternal-servant@yakumo.dev>";
       `S Manpage.s_see_also;
       `P "This program is named after Kosuzu Motoori from Touhou Suzunaan: Forbidden Scrollery";
Index: /trunk/cmd/txt_init/txt_init.ml
===================================================================
--- /trunk/cmd/txt_init/txt_init.ml	(revision 76)
+++ /trunk/cmd/txt_init/txt_init.ml	(revision 77)
@@ -1,2 +1,3 @@
+(* $Id$ *)
 let init_repo = 
         print_endline "Initializing repository...";
Index: /trunk/dune-project
===================================================================
--- /trunk/dune-project	(revision 76)
+++ /trunk/dune-project	(revision 77)
@@ -1,11 +1,10 @@
 (lang dune 2.0)
 (name kosuzu)
-(version 1.4.3)
+(version 1.4.4)
 (license EUPL-1.2)
 (authors "orbifx <fox@orbitalfox.eu>")
-(bug_reports "mailto:kosuzu-dev@chaotic.ninja")
-(maintainers "Izuru Yakumo <yakumo.izuru@chaotic.ninja>")
-(homepage "https://suzunaan.chaotic.ninja/kosuzu/")
-(source (uri git+https://git.chaotic.ninja/yakumo.izuru/kosuzu))
+(maintainers "Izuru Yakumo <eternal-servant@yakumo.dev>")
+(homepage "https://suzunaan.yakumo.dev/kosuzu/")
+(source (uri svn+https://svn.yakumo.dev/yakumo.izuru/kosuzu))
 
 (generate_opam_files true)
Index: /trunk/kosuzu.opam
===================================================================
--- /trunk/kosuzu.opam	(revision 76)
+++ /trunk/kosuzu.opam	(revision 77)
@@ -1,11 +1,10 @@
 # This file is generated by dune, edit dune-project instead
 opam-version: "2.0"
-version: "1.4.3"
+version: "1.4.4"
 synopsis: "Texts archival and exchange"
-maintainer: ["Izuru Yakumo <yakumo.izuru@chaotic.ninja>"]
+maintainer: ["Izuru Yakumo <eternal-servant@yakumo.dev>"]
 authors: ["orbifx <fox@orbitalfox.eu>"]
 license: "EUPL-1.2"
-homepage: "https://suzunaan.chaotic.ninja/kosuzu/"
-bug-reports: "mailto:kosuzu-dev@chaotic.ninja"
+homepage: "https://suzunaan.yakumo.dev/kosuzu/"
 depends: ["ocaml" "dune" "ocurl" "msgpck" "cmdliner"]
 build: [
@@ -23,3 +22,3 @@
   ]
 ]
-dev-repo: "git+https://git.chaotic.ninja/yakumo.izuru/kosuzu"
+dev-repo: "svn+https://svn.yakumo.dev/yakumo.izuru/kosuzu"